#define DOS_INCLDATETIME
#include "os2.h"

#include "xtime.h"


XTime :: XTime( UCHAR houres, UCHAR minutes, UCHAR seconds, UCHAR hundreds, SHORT timeZone)
{
   t.houres=houres;
   t.minutes=minutes;
   t.seconds = seconds;
   t.hundreds = hundreds;
   t.timeZone = timeZone;
}


XTime * XTime :: GetCurrentTime( void )
{
  DATETIME dt;
  DosGetDateTime( &dt );
  XTime * obj = new XTime( dt.hours, dt.minutes, dt.seconds, dt.hundredths, dt.timezone);
  return obj;
}

